SFML 2.4.2
Classes | Protected Member Functions | Static Protected Member Functions | List of all members
sf::GlResource Class Reference
Window module

Base class for classes that require an OpenGL context. More...

`#include <GlResource.hpp>`

Inheritance diagram for sf::GlResource:

## Classes

class | TransientContextLock
| RAII helper class to temporarily lock an available context for use. More...

## Protected Member Functions

| GlResource ()
| Default constructor. More...
| ~GlResource ()
| Destructor. More...

## Static Protected Member Functions

static void | ensureGlContext ()
| Empty function for ABI compatibility, use acquireTransientContext instead. More...

## Detailed Description

Base class for classes that require an OpenGL context.

This class is for internal use only, it must be the base of every class that requires a valid OpenGL context in order to work.

Definition at line 44 of file GlResource.hpp.

## Constructor & Destructor Documentation

## ◆ GlResource()

sf::GlResource::GlResource | ( |  | ) |

protected

Default constructor.

## ◆ ~GlResource()

sf::GlResource::~GlResource | ( |  | ) |

protected

Destructor.

## Member Function Documentation

## ◆ ensureGlContext()

static void sf::GlResource::ensureGlContext | ( |  | ) |

static protected

Empty function for ABI compatibility, use acquireTransientContext instead.

The documentation for this class was generated from the following file:

- GlResource.hpp